.basket-card {
  display: grid;
  padding: 40px;
  gap: 25px;
  grid-template-columns: 140px 1fr 100px 265px; }
  @media (max-width: 1559px) {
    .basket-card {
      padding: 24px 18px;
      gap: 18px;
      grid-template-columns: 100px 1fr 100px 265px; } }
  @media (max-width: 1099px) {
    .basket-card {
      position: relative;
      gap: 18px;
      grid-template-columns: 1fr;
      grid-template-rows: auto auto auto;
      grid-auto-flow: row; } }
  @media (max-width: 575px) {
    .basket-card {
      padding: 12px;
      gap: 12px; } }
  .basket-card .search-results-card__code,
  .basket-card .product-card__qty,
  .basket-card .product-card__availability {
    font-size: 14px; }
    @media (max-width: 575px) {
      .basket-card .search-results-card__code,
      .basket-card .product-card__qty,
      .basket-card .product-card__availability {
        font-size: 12px; } }
  .basket-card .search-results-card__image {
    max-width: 140px;
    max-height: 140px; }
    @media (max-width: 1559px) {
      .basket-card .search-results-card__image {
        max-width: 100px;
        max-height: 100px; } }
    @media (max-width: 1099px) {
      .basket-card .search-results-card__image {
        left: 24px; } }
    @media (max-width: 575px) {
      .basket-card .search-results-card__image {
        left: 12px;
        width: 80px;
        height: 80px; } }
  @media (max-width: 1099px) {
    .basket-card .search-results-card__content {
      width: auto;
      max-width: 100%; } }

.search-results-card--basket-mini {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  padding: 16px 32px 16px 130px; }
  .search-results-card--basket-mini:not(:last-child) {
    border-bottom: 1px solid #c9cbd4; }
  .search-results-card--basket-mini .search-results-card__code,
  .search-results-card--basket-mini .product-card__qty,
  .search-results-card--basket-mini .product-card__availability {
    font-size: 12px; }
  .search-results-card--basket-mini .product-card__price-total {
    margin-left: auto;
    text-align: end; }
  .search-results-card--basket-mini .search-results-card__image {
    position: absolute;
    top: 50%;
    left: 16px;
    max-width: 100px;
    max-height: 100px;
    transform: translateY(-50%); }
  .search-results-card--basket-mini .search-results-card__title {
    height: 42px;
    margin: 12px 0 8px;
    font-size: 16px; }
  .search-results-card--basket-mini .search-results-card__control, .search-results-card--basket-mini .search-results-card__price-wrap {
    width: 35%; }
  .search-results-card--basket-mini .search-results-card__control {
    flex-shrink: 0;
    justify-content: space-between; }
  .search-results-card--basket-mini .search-results-card__status {
    width: 75%;
    margin-right: 45px; }
    .search-results-card--basket-mini .search-results-card__status:first-child {
      align-self: flex-start; }
  .search-results-card--basket-mini .search-results-card__price-wrap {
    justify-content: flex-start; }
  .search-results-card--basket-mini .search-results-card__delete {
    position: absolute;
    top: 10px;
    right: 32px;
    gap: 0; }
    .search-results-card--basket-mini .search-results-card__delete span {
      display: none; }

.search-results-card__image {
  display: flex;
  align-items: center;
  flex-shrink: 0;
  justify-content: center; }
  @media (min-width: 1100px) {
    .search-results-card__image:hover img {
      transform: scale(1.03); } }
  @media (max-width: 1099px) {
    .search-results-card__image {
      position: absolute;
      top: 50%;
      transform: translateY(-50%); } }
  .search-results-card__image img {
    max-width: 100%;
    max-height: 100%;
    transition: transform ease .3s; }

.search-results-card__content {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between; }
  @media (max-width: 1099px) {
    .search-results-card__content {
      margin-left: 130px; } }
  @media (max-width: 575px) {
    .search-results-card__content {
      margin-left: 95px; } }

.search-results-card__status {
  display: flex;
  align-items: center;
  flex-direction: row-reverse;
  justify-content: space-between;
  margin-bottom: 10px; }
  @media (max-width: 1099px) {
    .search-results-card__status {
      margin-right: 50px; } }
  @media (max-width: 575px) {
    .search-results-card__status {
      flex-direction: row;
      flex-wrap: wrap;
      font-size: 12px; } }
  @media (max-width: 419px) {
    .search-results-card__status {
      margin-right: 40px; } }

.search-results-card__code {
  color: #898b95; }
  @media (max-width: 575px) {
    .search-results-card__code {
      width: 50%;
      order: 2; } }

.search-results-card .product-card__availability {
  padding: 0; }
  @media (max-width: 575px) {
    .search-results-card .product-card__availability {
      width: 50%;
      order: 1; } }

.search-results-card .status-available {
  color: #11953e;
  font-weight: 700; }

.search-results-card .status-order {
  color: #ffa600; }

.search-results-card .product-card__qty {
  color: #898b95; }
  @media (max-width: 575px) {
    .search-results-card .product-card__qty {
      width: 50%;
      order: 3; } }

.search-results-card .search-results-card__code:only-of-type,
.search-results-card .product-card__qty:only-of-type,
.search-results-card .product-card__availability:only-of-type {
  margin-right: auto; }

.search-results-card__delete {
  max-width: fit-content;
  display: flex;
  align-items: center;
  flex: 0 0 auto;
  gap: 6px;
  cursor: pointer;
  transition: opacity .3s ease;
  color: #898b95; }
  @media (max-width: 1099px) {
    .search-results-card__delete {
      position: absolute;
      top: 18px;
      right: 12px; }
      .search-results-card__delete span {
        display: none; } }
  @media (max-width: 575px) {
    .search-results-card__delete {
      top: 10px; } }
  .search-results-card__delete .icon {
    fill: #898b95; }
  .search-results-card__delete:hover {
    opacity: .6; }

.search-results-card__title {
  height: 46px;
  display: -webkit-box;
  overflow: hidden;
  -webkit-box-orient: vertical;
  margin-bottom: 25px;
  cursor: pointer;
  transition: color .3s ease;
  text-overflow: ellipsis;
  font-size: 18px;
  font-weight: 700;
  -webkit-line-clamp: 2; }
  @media (min-width: 1100px) {
    .search-results-card__title:hover {
      color: #FF6B00; } }
  @media (max-width: 1099px) {
    .search-results-card__title {
      margin-bottom: 0; } }
  @media (max-width: 575px) {
    .search-results-card__title {
      height: 63px;
      font-size: 16px;
      -webkit-line-clamp: 3; } }

.search-results-card__control {
  position: relative;
  width: 100%;
  max-width: fit-content;
  display: flex;
  align-items: center; }
  .search-results-card__control .counter {
    max-width: 140px; }
  .search-results-card__control .basketData-msg-wrap {
    position: absolute;
    top: 100%;
    font-size: 12px;
    font-weight: 700; }
    @media (max-width: 419px) {
      .search-results-card__control .basketData-msg-wrap {
        font-size: 9px; } }
  @media (max-width: 1099px) {
    .search-results-card__control {
      margin-left: 130px; } }
  @media (max-width: 575px) {
    .search-results-card__control {
      margin-left: 95px; } }
  @media (max-width: 419px) {
    .search-results-card__control {
      max-width: calc(100% - 95px); } }

.search-results-card__price-wrap {
  width: 100px;
  display: flex;
  align-items: center;
  flex-shrink: 0;
  justify-content: center;
  white-space: nowrap; }
  @media (max-width: 1099px) {
    .search-results-card__price-wrap {
      justify-content: flex-start;
      margin-left: 130px; } }
  @media (max-width: 575px) {
    .search-results-card__price-wrap {
      margin-left: 95px; } }

.search-results-card .product-card__price-current {
  font-weight: 400; }

.search-results-card .product-card__price-total {
  width: 100px;
  flex-shrink: 0;
  margin-left: 25px;
  font-weight: 700; }
  @media (max-width: 419px) {
    .search-results-card .product-card__price-total {
      width: 80px;
      margin-left: 10px; } }

.search-results-card__add-to-cart {
  position: relative;
  width: 40px;
  height: 40px;
  display: flex;
  align-items: center;
  flex: 0 0 auto;
  justify-content: center;
  margin-left: 5px;
  transition: background-color .3s ease;
  border-radius: 3px;
  background-color: #FF6B00; }
  .search-results-card__add-to-cart:hover {
    cursor: pointer; }
    @media (min-width: 1024px) {
      .search-results-card__add-to-cart:hover {
        background-color: #1A1F3D; } }
  .search-results-card__add-to-cart .icon {
    fill: #fff; }

.search-results-card__count {
  position: absolute;
  bottom: 7px;
  right: 7px;
  width: 12px;
  height: 12px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #fff;
  border-radius: 50%;
  background-color: #fe7235;
  font-size: 9px; }

.search-results-card__labels {
  display: none; }

.search-results-card__link {
  margin-top: 14px;
  color: #FF6B00;
  font-size: 12px; }

.search-results-card__remove {
  display: flex;
  align-items: center;
  flex: 0 0 auto;
  justify-content: center;
  order: 5;
  cursor: pointer;
  transition: fill .3s ease, transform .3s ease;
  fill: #aaa; }
  @media (min-width: 1024px) {
    .search-results-card__remove:hover {
      fill: #FF6B00; } }

.search-results-card .counter-btn,
.search-results-card .counter-input {
  width: 40px;
  height: 40px; }
  @media (max-width: 419px) {
    .search-results-card .counter-btn,
    .search-results-card .counter-input {
      width: 32px;
      height: 32px; } }

.search-results-card .counter-input {
  width: 50px;
  max-width: none;
  padding: 5px; }

.search-results-card--v2 .search-results-card__labels {
  position: static;
  display: flex;
  flex-direction: row;
  gap: 8px; }

.search-results-card--v2 .search-results-card__title {
  margin-bottom: 4px; }

.search-results-card--v2 .search-results-card__code {
  margin-top: 0px; }

.search-results-card--v2 .search-results-card__row {
  justify-content: flex-start;
  margin-bottom: 12px;
  gap: 20px; }

.search-results-card--v2 .search-results-card__content {
  width: auto;
  margin-left: 20px;
  padding-right: 20px; }
  @media (max-width: 1099px) {
    .search-results-card--v2 .search-results-card__content {
      margin-left: 0px; } }

.search-results-card--v2 .search-results-card__price-wrap {
  width: 145px;
  align-self: center;
  margin-right: 40px; }

.search-results-card--v2 .search-results-card__control {
  width: 205px;
  max-width: none;
  display: flex;
  align-self: center;
  padding-left: 0px;
  gap: 7px; }
  .search-results-card--v2 .search-results-card__control .btn {
    flex-grow: 1; }

.search-results-card--v2 .product-card__to-cart {
  width: 100%;
  flex-grow: 1;
  margin-left: 0px; }

.search-results-card--v2 .product-card__to-cart-name {
  font-size: 12px;
  font-weight: 700; }
  .search-results-card--v2 .product-card__to-cart-name small {
    font-size: 10px;
    font-weight: 300; }

.search-results-card--v2 .product-card__price--discount,
.search-results-card--v2 .product-card__price-current {
  font-weight: 700; }

.search-results-card--v2 .counter {
  width: 117px;
  flex: 0 0 auto; }

.search-results-card-mobile {
  display: grid;
  padding: 20px 0px;
  gap: 20px;
  border-bottom: 1px solid #e4e4e4;
  grid-template-columns: 70px 1fr; }
  .search-results-card-mobile:last-child {
    border-bottom: none; }
  .search-results-card-mobile__title {
    display: -webkit-box;
    overflow: hidden;
    -webkit-box-orient: vertical;
    margin-bottom: 6px;
    text-overflow: ellipsis;
    -webkit-line-clamp: 2; }
  .search-results-card-mobile__row {
    display: flex;
    justify-content: space-between;
    margin-bottom: 9px;
    color: #EDEEF2; }
  .search-results-card-mobile__labels {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 11px;
    gap: 7px; }
    .search-results-card-mobile__labels .product-card__label {
      margin: 0px;
      border-radius: 2px; }
  .search-results-card-mobile__price-wrap {
    display: flex;
    margin-bottom: 9px;
    gap: 6px; }
    .search-results-card-mobile__price-wrap .product-card__price-current {
      font-size: 14px;
      line-height: 18px; }
    .search-results-card-mobile__price-wrap .product-card__price-old {
      font-size: 12px; }
  .search-results-card-mobile__flex {
    width: 100%;
    display: flex;
    gap: 9px; }
  .search-results-card-mobile__add-to-cart {
    flex-grow: 1; }
  .search-results-card-mobile__to-cart {
    display: flex;
    align-items: center;
    flex-direction: column;
    flex-grow: 1;
    color: #fff;
    background-color: #6bc684; }
    .search-results-card-mobile__to-cart small {
      font-size: 10px; }
  .search-results-card-mobile .basketData-msg {
    display: block;
    font-size: 8px;
    font-weight: 700; }
